Subject: bug#57436: Running ./configure from `guix shell -D guix --pure` errors

From: Katherine Cox-Buday <[email-masked]>
Date: Sat, 27 Aug 2022 09:56:42 -0600

Maxime Devos <[email-masked]> writes:

> Maybe ./configure somehow picks up an old g++ from outside the "guix shell"
> environment.

This turned out to be the issue. I discovered my shell startup files were
mis-configured by running `guix shell --pure --check -D guix`. This is
definitely a user error, and my fault, but maybe we should update the manual
to include the `--check` flag?

-- 
Katherine